SuSE 11 Security Update : puppet (SAT Patch Number 2113)

Low Nessus Plugin ID 50959


The remote SuSE 11 host is missing one or more security updates.


pupped created temporary files with fixed names. Local attacks could exploit that to install symlinks that overwrite files of the victim.


Apply SAT patch number 2113.

See Also

Plugin Details

Severity: Low

ID: 50959

File Name: suse_11_puppet-100310.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2010/12/02

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.3

Vector: CVSS2#AV:L/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:puppet, p-cpe:/a:novell:suse_linux:11:puppet-server, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2010/03/10

Reference Information

CVE: CVE-2010-0156

CWE: 59